id: 53427
name: exchange
separate-vendor: true
environments:
    production:
        domain:
          - production.exchange.izyim.com
          - exchange.cief-malaysia.com
        memory: 1024
        cli-memory: 512
        queues:
          - exchange-default-production
          - exchange-high_priority-production
        database: cief-amazon-rds-mysql
        storage: exchange-2.0-production
        runtime: 'docker'
        timeout: 180
        cli-timeout: 300
        build:
            - 'composer update'
            - 'npm install'
            - 'npm run build'
        deploy:
            - 'php artisan migrate --force'
    staging:
        domain: staging.exchange.izyim.com
        memory: 1024
        cli-memory: 512
        queues:
          - exchange-default-staging
          - exchange-high_priority-staging
        database: cief-amazon-rds-mysql
        storage: exchange-2.0-production-duplicate #cief todo: exchange-2.0-staging
        runtime: 'docker'
        timeout: 180
        cli-timeout: 300
        build:
            - 'composer update'
            - 'npm install'
            - 'npm run build'
        deploy:
            - 'php artisan migrate --force'
    development:
        domain: dev.exchange.izyim.com
        memory: 1024
        cli-memory: 512
        queues:
          - exchange-default-development
          - exchange-high_priority-development
        database: cief-amazon-rds-mysql
        storage: exchange-2.0-production-duplicate #cief todo: exchange-2.0-develoopment
        runtime: 'docker'
        timeout: 180
        cli-timeout: 300
        build:
            - 'composer update'
            - 'npm install'
            - 'npm run build'
        deploy:
            - 'php artisan migrate --force'
    test:
      memory: 1024
      cli-memory: 512
      queues:
          - exchange-default-test
          - exchange-high_priority-test
      database: cief-amazon-rds-mysql
      storage: exchange-2.0-test
      runtime: 'docker'
      timeout: 180
      build:
          - 'composer update'
          - 'npm install'
          - 'npm run build'
      deploy:
          - 'php artisan migrate --force'

